package com.mortals.xhx.common.code;

import java.util.LinkedHashMap;
import java.util.Map;

/**
* 电子材料格式（无.无，不限.不限，jpg.jpg，jpeg.jpeg，pdf.pdf，word.word，pdf|jpg|jpeg.pdf|jpg|jpeg，pdf|jpg.pdf|jpg）枚举类
*
* @author zxfei
*/
public enum ElectronicgsEnum {
    无("无", "无"),
    不限("不限", "不限"),
    jpg("jpg", "jpg"),
    jpeg("jpeg", "jpeg"),
    pdf("pdf", "pdf"),
    word("word", "word"),
    pdfjpgjpeg("pdf|jpg|jpeg", "pdf|jpg|jpeg"),
    pdfjpg("pdf|jpg", "pdf|jpg");
    private String value;
    private String desc;

    ElectronicgsEnum(String value, String desc) {
        this.value = value;
        this.desc = desc;
    }

    public String getValue() {
        return this.value;
    }

    public String getDesc() {
        return this.desc;
    }

    public static ElectronicgsEnum getByValue(String value) {
        for (ElectronicgsEnum electronicgsEnum : ElectronicgsEnum.values()) {
            if (electronicgsEnum.getValue() == value) {
                return electronicgsEnum;
            }
        }
        return null;
    }

    /**
    * 获取Map集合
    *
    * @param eItem 不包含项
    * @return
    */
    public static Map<String, String> getEnumMap(String... eItem) {
        Map<String, String> resultMap = new LinkedHashMap<>();
        for (ElectronicgsEnum item : ElectronicgsEnum.values()) {
            try {
                boolean hasE = false;
                for (String e : eItem) {
                    if (item.getValue() == e) {
                        hasE = true;
                        break;
                    }
                }
                if (!hasE) {
                    resultMap.put(item.getValue() + "", item.getDesc());
                }
            } catch (Exception ex) {

            }
        }
        return resultMap;
    }
}